#!/bin/bash

#SBATCH --time=24:00:00   # walltime
#SBATCH --ntasks=128   # number of processor cores (i.e. tasks)
#SBATCH --nodes=1   # number of nodes
#SBATCH --mem=192G   # memory per CPU core


# Set the max number of threads to use for programs using OpenMP. Should be <= ppn. Does nothing if the program doesn't use OpenMP.
export OMP_NUM_THREADS=$SLURM_CPUS_ON_NODE

# LOAD MODULES, INSERT CODE, AND RUN YOUR PROGRAMS HERE
module purge
module load spack
. /zapps7/spack/spack-0.19.2/share/spack/setup-env.sh

spack load amr-wind/jewntlv

amr_wind 5mwTurbine.inp


